Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: martin rudalics <[email-masked]>
Date: Thu, 12 Jan 2023 11:23:05 +0100

> Itʼs done that way because thatʼs the way it works, not because of any
 > decision on my part. When scaling is in use, a screen that has eg
 > 1920x1080 "physical pixels" is presented to us as being 960x540
 > "virtual pixels". Since Emacs uses physical pixels internally, we need
 > to divide all the numbers by 2.

That's what I understood from your code and also tried to tell Dmitry.
So I suppose that GTK and the WM deal with virtual pixels only and the
gtk_window_resize API is what separates us from them.  But I've never
been able to understand where we translate virtual size values back to
our ones whenever we call xg_frame_resized.  Bear with me - I have no
good idea how scaling works internally.

martin